+ Antworten
Seite 1 von 13 1 2 3 11 ... LetzteLetzte
Ergebnis 1 bis 10 von 124

Thema: IPSHighcharts

  1. #1
    Registriert seit
    Aug 2010
    Ort
    Österreich (Korneuburg)
    Beiträge
    4,459

    Standard IPSHighcharts

    IPSHighcharts ermöglicht die Darstellung von Graphen auf Basis von Highcharts in IP-Symcon.

    Die Implementierung von IPSHighcharts der IPSLibrary wurde aus diesem Thread übernommen – besten Dank an dieser Stelle an den User khc!

    Nähere Details zum Modul sind im WIKI Beitrag zu finden

    Wichtige Posts:
    IPS Charts mit Highcharts darstellen
    Geändert von Brownson (06.01.14 um 20:13 Uhr) Grund: Link hinzugefügt
    Gruß
    Andreas

  2. #2
    Registriert seit
    Jun 2011
    Ort
    Fessenheim, Schwaben, Bayern
    Beiträge
    558

    Hi,
    habe durch die Plugwise Installation bereits Highcharts installiert. Kann ich Dein Modul einfach drüber installieren oder muß die alte Installation zuerst raus ???

    Gruß Proxima

  3. #3
    Registriert seit
    Aug 2010
    Ort
    Österreich (Korneuburg)
    Beiträge
    4,459

    Kein Problem, die Dateien von Highcharts existieren dann einfach in 2 verschiedenen Verzeichnissen ...
    Gruß
    Andreas

  4. #4
    Registriert seit
    Jan 2011
    Ort
    Kerken (NRW)
    Beiträge
    218

    Hallo Andreas,

    hat es einen bestimmten Grund dass Du in Highcharts.php auf die jquery.min.js in Google verlinkst?

    PHP-Code:
    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script
    Wäre es nicht besser die "jquery.min.js" lokal nach /user/IPSHighcharts/Highcharts/js/jquery.min.js zu kopieren und diese dort analog wie die highcharts.js zu verlinken?
    PHP-Code:
    <script type="text/javascript" src="/user/IPSHighcharts/Highcharts/js/jquery.min.js"></script>
    <
    script type="text/javascript" src="/user/IPSHighcharts/Highcharts/js/highcharts.js"></script

    Wenn Du das WebFront über HTTPS ansprichst, bekommst Du so dann keine Browserwarnung mehr, dass die Seite unsichere HTTP Elemente außerhalb der HTTPS Webseite enthält.
    Viele Grüße Uwe

  5. #5
    Registriert seit
    Aug 2010
    Ort
    Österreich (Korneuburg)
    Beiträge
    4,459

    Hallo Uwe,

    Nein, das hat keinen bestimmten Grund, werde das bei nächster Gelegenheit so wie vorgeschlagen umsetzen ...
    Gruß
    Andreas

  6. #6
    Registriert seit
    May 2007
    Beiträge
    94

    Hallo Andreas,

    bei mir funktioniert es einwandfrei mit Highcharts aber leider nicht mit Highstocks.
    Muß ich noch irgendwas installieren oder kopieren?

    Vielen Dank

    Gerd

  7. #7
    Registriert seit
    Aug 2010
    Ort
    Österreich (Korneuburg)
    Beiträge
    4,459

    Hallo Gerd,

    da haben die Highstock Files im Modul gefehlt. Hab sie jetzt hinzugefügt, kurzer Test hat einen Output gebracht (hab allerdings noch nicht sehr viel mit Highstocks gemacht).
    Gruß
    Andreas

  8. #8
    Registriert seit
    May 2007
    Beiträge
    94

    Hallo Andreas,

    vielen Dank. Funktioniert einwandfrei.

    Gerd

  9. #9
    Registriert seit
    Oct 2010
    Ort
    Paderborn
    Beiträge
    2,285

    Hallo Andreas,

    Zitat Zitat von Brownson Beitrag anzeigen

    Nein, das hat keinen bestimmten Grund, werde das bei nächster Gelegenheit so wie vorgeschlagen umsetzen ...
    Die Änderung von
    Code:
    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
    nach
    Code:
    <script type="text/javascript" src="/user/IPSHighcharts/Highcharts/js/jquery.min.js"></script>
    hat bei mir negative Effekte. Die Graphen, insbesondere die Achsen, werden nicht mehr richtig dargestellt.

    Was mit IPSHighcharts 2.5.0.1 noch richtig aussah
    Klicken Sie auf die Grafik für eine größere Ansicht 

Name:	HighCharts_2501.jpg 
Hits:	679 
Größe:	102.9 KB 
ID:	20038
    ist nun unvollständig:

    Klicken Sie auf die Grafik für eine größere Ansicht 

Name:	HighCharts_2503.jpg 
Hits:	478 
Größe:	97.9 KB 
ID:	20039
    - die linke Achse hat die falsche Beschriftung
    - die rechte Achse fehlt kompett und mit ihr die zugeordneten Serien

    Nachdem ich die Änderung in der Highcharts.php wieder rückgängig gemacht habe, ist der Spuk vorbei

    Viele Grüße

    Burkhard
    HM per RaspberryMatic | EKM-868 | LGS-868 | 1 Wire | Fibaro Motion Sensor & Aeon Labs Z-Stick S2 | SONOS | Denon AVR 3312 | Vu+ Ultimo 4K | Sony KD-75XE9405 | Fritzbox 6360 | AXIS 1344-E | Echo Dot + Show | Intel NUC i3 | IPS V5.3 Beta

  10. #10
    Registriert seit
    Aug 2010
    Ort
    Österreich (Korneuburg)
    Beiträge
    4,459

    Hi,

    hab da wohl eine alte Version von jQuery erwischt, mit der korrekten Versioin 1.7.2 sollte es jetzt funktionieren.
    Neue Version liegt am Server, gib bitte Bescheid, wenn das Problem beseitigt ist ...
    Gruß
    Andreas